### Name: interestMeasure
### Title: Calculating various additional interest measures
### Aliases: interestMeasure interestMeasure,rules-method
###   interestMeasure,itemsets-method
### Keywords: models

### ** Examples

data("Income")
rules <- apriori(Income)

## calculate a single measure and add it to the quality slot
quality(rules) <- cbind(quality(rules), 
        hyperConfidence = interestMeasure(rules, method = "hyperConfidence", 
        Income))

inspect(head(SORT(rules, by = "hyperConfidence")))

## calculate several measures
m <- interestMeasure(rules, c("confidence", "oddsRatio", "leverage"), Income)
inspect(head(rules))
head(m)



